package com.yihu.hos.system.dao.intf;

import com.yihu.hos.web.framework.dao.XSQLGeneralDAO;
import com.yihu.hos.web.framework.model.Result;
import com.yihu.hos.system.model.SystemDictList;

import java.util.Map;

/**
 * Created by chenweida on 2016/1/20.
 */
public interface IDictListDao extends XSQLGeneralDAO {
    Result getDictList(Map<String, Object> params) throws Exception;

    SystemDictList getDitcByName(String dictName) throws Exception;

    SystemDictList getDitcByNameWithOutId(String dictName, String id) throws Exception;
}
